scala.tools.nsc.interpreter

# AbstractFileClassLoader

#### class AbstractFileClassLoader extends ClassLoader with ScalaClassLoader

A class loader that loads files from a `scala.tools.nsc.io.AbstractFile`.

Linear Supertypes
ScalaClassLoader, ClassLoader, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbstractFileClassLoader
2. ScalaClassLoader
3. ClassLoader
4. AnyRef
5. Any

Implicitly

1. by apply
2. by any2stringadd
3. by any2stringfmt
4. by any2ArrowAssoc
5. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AbstractFileClassLoader(root: AbstractFile, parent: ClassLoader)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (AbstractFileClassLoader, B)

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### def asContext[T](action: ⇒ T): T

   Executing an action with this classloader as context classloader

   Executing an action with this classloader as context classloader

   Definition Classes
     ScalaClassLoader

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def classAsStream(className: String): java.io.InputStream

    An InputStream representing the given class name, or null if not found.

    An InputStream representing the given class name, or null if not found.

    Definition Classes
      ScalaClassLoader

11. #### def classBytes(name: String): Array[Byte]

    The actual bytes for a class file, or an empty array if it can't be found.

    The actual bytes for a class file, or an empty array if it can't be found.

    Definition Classes
      AbstractFileClassLoader → ScalaClassLoader

12. #### def classNameToPath(name: String): String

    Attributes
      protected

13. #### def clearAssertionStatus(): Unit

    Definition Classes
      ClassLoader

14. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

15. #### def constructorsOf[T <: AnyRef](implicit arg0: ClassTag[T]): List[Constructor[T]]

    Definition Classes
      ScalaClassLoader

16. #### def create(path: String): AnyRef

    Create an instance of a class with this classloader

    Create an instance of a class with this classloader

    Definition Classes
      ScalaClassLoader

17. #### final def defineClass(arg0: String, arg1: ByteBuffer, arg2: ProtectionDomain): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )

18. #### final def defineClass(arg0: String, arg1: Array[Byte], arg2: Int, arg3: Int, arg4: ProtectionDomain): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )

19. #### final def defineClass(arg0: String, arg1: Array[Byte], arg2: Int, arg3: Int): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.lang.ClassFormatError] )

20. #### def definePackage(name: String, specTitle: String, specVersion: String, specVendor: String, implTitle: String, implVersion: String, implVendor: String, sealBase: URL): Package

    Definition Classes
      AbstractFileClassLoader → ClassLoader

21. #### def dirNameToPath(name: String): String

    Attributes
      protected

22. #### def ensuring(cond: (AbstractFileClassLoader) ⇒ Boolean, msg: ⇒ Any): AbstractFileClassLoader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

23. #### def ensuring(cond: (AbstractFileClassLoader) ⇒ Boolean): AbstractFileClassLoader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

24. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbstractFileClassLoader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

25. #### def ensuring(cond: Boolean): AbstractFileClassLoader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

26. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### def findAbstractDir(name: String): AbstractFile

    Attributes
      protected

30. #### def findAbstractFile(name: String): AbstractFile

    Attributes
      protected

31. #### def findClass(name: String): JClass

    Definition Classes
      AbstractFileClassLoader → ClassLoader

32. #### def findLibrary(arg0: String): String

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

33. #### final def findLoadedClass(arg0: String): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

34. #### def findResource(name: String): URL

    Definition Classes
      AbstractFileClassLoader → ClassLoader

35. #### def findResources(arg0: String): java.util.Enumeration[URL]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )

36. #### final def findSystemClass(arg0: String): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

37. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

38. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

39. #### def getClassLoadingLock(arg0: String): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

40. #### def getPackage(name: String): Package

    Definition Classes
      AbstractFileClassLoader → ClassLoader

41. #### def getPackages(): Array[Package]

    Definition Classes
      AbstractFileClassLoader → ClassLoader

42. #### final def getParent(): ClassLoader

    Definition Classes
      ClassLoader
    Annotations
      @CallerSensitive()

43. #### def getResource(arg0: String): URL

    Definition Classes
      ClassLoader

44. #### def getResourceAsStream(name: String): java.io.InputStream

    Definition Classes
      AbstractFileClassLoader → ClassLoader

45. #### def getResources(arg0: String): java.util.Enumeration[URL]

    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )

46. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

47. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

48. #### def loadClass(arg0: String, arg1: Boolean): Class[_]

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

49. #### def loadClass(arg0: String): Class[_]

    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

50. #### def loaderChain: List[ScalaClassLoader]

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

    Definition Classes
      ScalaClassLoader

51. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

52. #### final def notify(): Unit

    Definition Classes
      AnyRef

53. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

54. #### final def resolveClass(arg0: Class[_]): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

55. #### val root: AbstractFile

56. #### def run(objectName: String, arguments: Seq[String]): Unit

    Run the main method of a class to be loaded by this classloader

    Run the main method of a class to be loaded by this classloader

    Definition Classes
      ScalaClassLoader

57. #### def setAsContext(): Unit

    Definition Classes
      ScalaClassLoader

58. #### def setClassAssertionStatus(arg0: String, arg1: Boolean): Unit

    Definition Classes
      ClassLoader

59. #### def setDefaultAssertionStatus(arg0: Boolean): Unit

    Definition Classes
      ClassLoader

60. #### def setPackageAssertionStatus(arg0: String, arg1: Boolean): Unit

    Definition Classes
      ClassLoader

61. #### final def setSigners(arg0: Class[_], arg1: Array[AnyRef]): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      ClassLoader

62. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

63. #### def toString(): String

    Definition Classes
      AnyRef → Any

64. #### def tryToInitializeClass[T <: AnyRef](path: String): Option[Class[T]]

    Load, link and initialize a class with this classloader

    Load, link and initialize a class with this classloader

    Definition Classes
      ScalaClassLoader

65. #### def tryToLoadClass[T <: AnyRef](path: String): Option[Class[T]]

    Load and link a class with this classloader

    Load and link a class with this classloader

    Definition Classes
      ScalaClassLoader

66. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

67. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

68. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

69. #### def →[B](y: B): (AbstractFileClassLoader, B)

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### def asContext[T](action: ⇒ T): T

   Executing an action with this classloader as context classloader

   Executing an action with this classloader as context classloader

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).asContext(action)

   Definition Classes
     ScalaClassLoader

2. #### def classAsStream(className: String): java.io.InputStream

   An InputStream representing the given class name, or null if not found.

   An InputStream representing the given class name, or null if not found.

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).classAsStream(className)

   Definition Classes
     ScalaClassLoader

3. #### def classBytes(className: String): Array[Byte]

   The actual bytes for a class file, or an empty array if it can't be found.

   The actual bytes for a class file, or an empty array if it can't be found.

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).classBytes(className)

   Definition Classes
     ScalaClassLoader

4. #### def clearAssertionStatus(): Unit

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).clearAssertionStatus()

   Definition Classes
     ClassLoader

5. #### def constructorsOf[T <: AnyRef](implicit arg0: ClassTag[T]): List[Constructor[T]]

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).constructorsOf(arg0)

   Definition Classes
     ScalaClassLoader

6. #### def create(path: String): AnyRef

   Create an instance of a class with this classloader

   Create an instance of a class with this classloader

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).create(path)

   Definition Classes
     ScalaClassLoader

7. #### final def getParent(): ClassLoader

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).getParent()

   Definition Classes
     ClassLoader
   Annotations
     @CallerSensitive()

8. #### def getResource(arg0: String): URL

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).getResource(arg0)

   Definition Classes
     ClassLoader

9. #### def getResourceAsStream(arg0: String): java.io.InputStream

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ScalaClassLoader).getResourceAsStream(arg0)

   Definition Classes
     ClassLoader

10. #### def getResources(arg0: String): java.util.Enumeration[URL]

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).getResources(arg0)

    Definition Classes
      ClassLoader
    Annotations
      @throws( classOf[java.io.IOException] )

11. #### def loadClass(arg0: String): Class[_]

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).loadClass(arg0)

    Definition Classes
      ClassLoader
    Annotations
      @throws( ... )

12. #### def loaderChain: List[ScalaClassLoader]

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

    A list comprised of this classloader followed by all its (non-null) parent classloaders, if any.

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).loaderChain

    Definition Classes
      ScalaClassLoader

13. #### def run(objectName: String, arguments: Seq[String]): Unit

    Run the main method of a class to be loaded by this classloader

    Run the main method of a class to be loaded by this classloader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).run(objectName, arguments)

    Definition Classes
      ScalaClassLoader

14. #### val self: Any

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to StringAdd performed by method any2stringadd in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: StringAdd).self

    Definition Classes
      StringAdd

15. #### val self: Any

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to StringFormat performed by method any2stringfmt in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: StringFormat).self

    Definition Classes
      StringFormat

16. #### def setAsContext(): Unit

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setAsContext()

    Definition Classes
      ScalaClassLoader

17. #### def setClassAssertionStatus(arg0: String, arg1: Boolean): Unit

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setClassAssertionStatus(arg0, arg1)

    Definition Classes
      ClassLoader

18. #### def setDefaultAssertionStatus(arg0: Boolean): Unit

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setDefaultAssertionStatus(arg0)

    Definition Classes
      ClassLoader

19. #### def setPackageAssertionStatus(arg0: String, arg1: Boolean): Unit

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).setPackageAssertionStatus(arg0, arg1)

    Definition Classes
      ClassLoader

20. #### def tryToInitializeClass[T <: AnyRef](path: String): Option[Class[T]]

    Load, link and initialize a class with this classloader

    Load, link and initialize a class with this classloader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).tryToInitializeClass(path)

    Definition Classes
      ScalaClassLoader

21. #### def tryToLoadClass[T <: AnyRef](path: String): Option[Class[T]]

    Load and link a class with this classloader

    Load and link a class with this classloader

    Implicit information
      This member is added by an implicit conversion from AbstractFileClassLoader to ScalaClassLoader performed by method apply in scala.tools.nsc.util.ScalaClassLoader.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (abstractFileClassLoader: ScalaClassLoader).tryToLoadClass(path)

    Definition Classes
      ScalaClassLoader

### Deprecated Value Members

1. #### final def defineClass(arg0: Array[Byte], arg1: Int, arg2: Int): Class[_]

   Attributes
     protected[java.lang]
   Definition Classes
     ClassLoader
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.ClassFormatError] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def x: AbstractFileClassLoader

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: ArrowAssoc[AbstractFileClassLoader]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

3. #### def x: AbstractFileClassLoader

   Implicit information
     This member is added by an implicit conversion from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (abstractFileClassLoader: Ensuring[AbstractFileClassLoader]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from ScalaClassLoader

### Inherited from ClassLoader

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion apply from AbstractFileClassLoader to ScalaClassLoader

### Inherited by implicit conversion any2stringadd from AbstractFileClassLoader to StringAdd

### Inherited by implicit conversion any2stringfmt from AbstractFileClassLoader to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from AbstractFileClassLoader to ArrowAssoc[AbstractFileClassLoader]

### Inherited by implicit conversion any2Ensuring from AbstractFileClassLoader to Ensuring[AbstractFileClassLoader]

### Ungrouped